//Initialisiert die USART Schnittstelle
void initUSART(unsigned int spbrg) {
  SPBRG=spbrg;                                // Fill the SPBRG register to set the Baud Rate
  RCSTAbits.SPEN=1;                                     // To activate Serial port (TX and RX pins)
  TXSTAbits.TXEN=1;                                     // To enable transmission
  RCSTAbits.CREN=1;                                     // To enable continuous reception
}

//Schreibt ein Byte in das Tranmit-Register und
//bertrgt dieses
void writeUSART(unsigned char data) {
  while(PIR1bits.TXIF==0);       // Wait for USART
  TXREG=data;                                     // Store data in Transmit register
}


//bertrgt mehrere Zeichen ber die USART-Schnittstelle
void putsUSART(unsigned char *data) {
  int i=0;
  while(data[i]) {
    writeUSART(data[i]);  //bertrage das Zeichen
    i++;
  }
}

//liest ein Zeichen aus dem Empfangspuffer aus
unsigned char getcUSART(void) {
  if(PIR1bits.RCIF!=0) {                            // Wait until RCIF gets low
    return RCREG;                                   // Retrieve data from reception register
  } else {
    return 0;
  }
}